Admin
Not authenticated— sign in to auto-fill your API key in code examples
Impersonate
POST
/v1/admin/accounts/impersonateRequest body
accountIdstringrequiredThe account ID to impersonate.
Response200
{
"ok": true,
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.impersonated...",
"impersonating": {
"accountId": "acc_01HQTARGET",
"accountName": "Acme Logistics SAS"
}
}Response400
{
"ok": false,
"error": "Invalid request parameters",
"code": "VALIDATION_ERROR",
"details": {
"field": "email",
"reason": "must be a valid email address"
}
}Response401
{
"ok": false,
"error": "Authentication required",
"code": "UNAUTHORIZED",
"details": {}
}Response403
{
"ok": false,
"error": "You do not have permission to perform this action",
"code": "FORBIDDEN",
"details": {}
}Response404
{
"ok": false,
"error": "Resource not found",
"code": "NOT_FOUND",
"details": {}
}